## org.apache.felix.httplite.osgi
Interface ServiceRegistrationHandler

All Known Implementing Classes:
  ResourceHandler, ServletHandler

    public interface ServiceRegistrationHandler

Represents either a Resource or a Servlet that should be processed with a valid client connection provided by the server.

Method Summary
`void` `handle(boolean closeConnection)` Process the request against the registered provider.

Method Detail

### handle

    void handle(boolean closeConnection)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Process the request against the registered provider.

  Parameters:
    `closeConnection` - if true close connection after handling request
  Throws:
    `java.io.IOException` - on I/O error
    `javax.servlet.ServletException` - on Servlet error

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.